Skip to main content
POST
/
v1
/
payment_runs
/
{id}
/
cancel
Cancel a payment run
curl --request POST \
  --url https://api.yorlet.com/v1/payment_runs/{id}/cancel \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "payment_run",
  "amount": 123,
  "approved_at": 123,
  "completed_at": 123,
  "currency": "gbp",
  "description": "<string>",
  "method": "manual",
  "payout_status": {
    "canceled": 123,
    "failed": 123,
    "paid": 123,
    "total": 123
  },
  "region": "all",
  "status": "requires_approval",
  "type": "all",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the canceled payment run.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_run
amount
number
required
approved_at
integer | null
required

Must be a Unix timestamp in UTC time.

completed_at
integer | null
required

Must be a Unix timestamp in UTC time.

currency
enum<string>
required

Three-letter ISO currency code, in lowercase. Must be a supported currency.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

description
string | null
required
method
enum<string> | null
required
Available options:
manual,
automatic,
null
payout_status
object
required
region
enum<string> | null
required
Available options:
all,
domestic,
international,
null
status
enum<string>
required
Available options:
requires_approval,
processing,
complete,
canceled
type
enum<string>
required

The type of payment run to create.

Available options:
all,
landlord,
supplier
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.